aboutsummaryrefslogtreecommitdiff
path: root/test/terraform/older_tflint.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2023-06-21 21:13:46 +0300
committerGitHub <noreply@github.com>2023-06-21 21:13:46 +0300
commitd934503a050ba84e6b42a006aacd891c4088eb62 (patch)
tree44be975bd7ce4832c81ac93bc7ad4f15fc200b36 /test/terraform/older_tflint.sh
parent2258fcb040d74de01dbfc9df7d8800d90a13d56c (diff)
Terraform: Add cosign integrity check for TFLint (#586)feature_terraform_1.3.2
* add cosign integrity check for tflint * fallback to gpg verification
Diffstat (limited to 'test/terraform/older_tflint.sh')
-rw-r--r--test/terraform/older_tflint.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/terraform/older_tflint.sh b/test/terraform/older_tflint.sh
new file mode 100644
index 0000000..20009c9
--- /dev/null
+++ b/test/terraform/older_tflint.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "terraform" terraform -version
+
+check "tflint" tflint --version
+
+# Report result
+reportResults \ No newline at end of file